package com.supervision.knowsub.vo.knowledge;

import com.supervision.knowsub.model.Knowledge;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class KnowledgePageResVO extends Knowledge {

    @Schema(description = "应用子库名称")
    private String baseName;
    @Schema(description = "报送部门名称")
    private String submitDeptName;
    @Schema(description = "发文部门名称")
    private String publishDeptName;
}
